Bug 1443325 (CVE-2017-5438) - CVE-2017-5438 Mozilla: Use-after-free in nsAutoPtr during XSLT processing (MFSA 2017-11, MFSA 2017-12)
Summary: CVE-2017-5438 Mozilla: Use-after-free in nsAutoPtr during XSLT processing (MF...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5438
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1437814
TreeView+ depends on / blocked
 
Reported: 2017-04-19 06:19 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 14:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-12 05:54:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1104 normal SHIPPED_LIVE Critical: firefox security update 2017-04-20 12:21:32 UTC
Red Hat Product Errata RHSA-2017:1106 normal SHIPPED_LIVE Critical: firefox security update 2017-04-21 04:49:25 UTC
Red Hat Product Errata RHSA-2017:1201 normal SHIPPED_LIVE Important: thunderbird security update 2017-05-08 10:45:45 UTC

Description Huzaifa S. Sidhpurwala 2017-04-19 06:19:08 UTC
A use-after-free vulnerability during XSLT processing due to the result handler being held by a freed handler during handling. This results in a potentially exploitable crash.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-11/#CVE-2017-5438


Acknowledgements:

Name: the Mozilla project
Upstream: Nicolas Grégoire

Comment 1 errata-xmlrpc 2017-04-20 08:23:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1104 https://access.redhat.com/errata/RHSA-2017:1104

Comment 2 errata-xmlrpc 2017-04-21 00:52:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1106 https://access.redhat.com/errata/RHSA-2017:1106

Comment 3 errata-xmlrpc 2017-05-08 06:48:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1201 https://access.redhat.com/errata/RHSA-2017:1201


Note You need to log in before you can comment on or make changes to this bug.